<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:20 PST 2021 -->
<title>CrawlingCycleListener (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CrawlingCycleListener (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CrawlingCycleListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/nutch/webui/client/impl/CrawlingCycle.html" title="class in org.apache.nutch.webui.client.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/nutch/webui/client/impl/NutchClientImpl.html" title="class in org.apache.nutch.webui.client.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/webui/client/impl/CrawlingCycleListener.html" target="_top">Frames</a></li>
<li><a href="CrawlingCycleListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.webui.client.impl</div>
<h2 title="Interface CrawlingCycleListener" class="title">Interface CrawlingCycleListener</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/apache/nutch/webui/service/impl/CrawlServiceImpl.html" title="class in org.apache.nutch.webui.service.impl">CrawlServiceImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">CrawlingCycleListener</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/client/impl/CrawlingCycleListener.html#commandExecuted-org.apache.nutch.webui.client.model.Crawl-org.apache.nutch.webui.client.impl.RemoteCommand-int-">commandExecuted</a></span>(<a href="../../../../../../org/apache/nutch/webui/client/model/Crawl.html" title="class in org.apache.nutch.webui.client.model">Crawl</a>&nbsp;crawl,
               <a href="../../../../../../org/apache/nutch/webui/client/impl/RemoteCommand.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommand</a>&nbsp;command,
               int&nbsp;progress)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/client/impl/CrawlingCycleListener.html#crawlingFinished-org.apache.nutch.webui.client.model.Crawl-">crawlingFinished</a></span>(<a href="../../../../../../org/apache/nutch/webui/client/model/Crawl.html" title="class in org.apache.nutch.webui.client.model">Crawl</a>&nbsp;crawl)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/client/impl/CrawlingCycleListener.html#crawlingStarted-org.apache.nutch.webui.client.model.Crawl-">crawlingStarted</a></span>(<a href="../../../../../../org/apache/nutch/webui/client/model/Crawl.html" title="class in org.apache.nutch.webui.client.model">Crawl</a>&nbsp;crawl)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/webui/client/impl/CrawlingCycleListener.html#onCrawlError-org.apache.nutch.webui.client.model.Crawl-java.lang.String-">onCrawlError</a></span>(<a href="../../../../../../org/apache/nutch/webui/client/model/Crawl.html" title="class in org.apache.nutch.webui.client.model">Crawl</a>&nbsp;crawl,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="crawlingStarted-org.apache.nutch.webui.client.model.Crawl-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>crawlingStarted</h4>
<pre>void&nbsp;crawlingStarted(<a href="../../../../../../org/apache/nutch/webui/client/model/Crawl.html" title="class in org.apache.nutch.webui.client.model">Crawl</a>&nbsp;crawl)</pre>
</li>
</ul>
<a name="onCrawlError-org.apache.nutch.webui.client.model.Crawl-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCrawlError</h4>
<pre>void&nbsp;onCrawlError(<a href="../../../../../../org/apache/nutch/webui/client/model/Crawl.html" title="class in org.apache.nutch.webui.client.model">Crawl</a>&nbsp;crawl,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg)</pre>
</li>
</ul>
<a name="commandExecuted-org.apache.nutch.webui.client.model.Crawl-org.apache.nutch.webui.client.impl.RemoteCommand-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commandExecuted</h4>
<pre>void&nbsp;commandExecuted(<a href="../../../../../../org/apache/nutch/webui/client/model/Crawl.html" title="class in org.apache.nutch.webui.client.model">Crawl</a>&nbsp;crawl,
                     <a href="../../../../../../org/apache/nutch/webui/client/impl/RemoteCommand.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommand</a>&nbsp;command,
                     int&nbsp;progress)</pre>
</li>
</ul>
<a name="crawlingFinished-org.apache.nutch.webui.client.model.Crawl-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>crawlingFinished</h4>
<pre>void&nbsp;crawlingFinished(<a href="../../../../../../org/apache/nutch/webui/client/model/Crawl.html" title="class in org.apache.nutch.webui.client.model">Crawl</a>&nbsp;crawl)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CrawlingCycleListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/nutch/webui/client/impl/CrawlingCycle.html" title="class in org.apache.nutch.webui.client.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/nutch/webui/client/impl/NutchClientImpl.html" title="class in org.apache.nutch.webui.client.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/webui/client/impl/CrawlingCycleListener.html" target="_top">Frames</a></li>
<li><a href="CrawlingCycleListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
